SerializableNClobProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class SerializableNClobProxy

    java.lang.Object
      org.hibernate.engine.jdbc.SerializableClobProxy
          org.hibernate.engine.jdbc.SerializableNClobProxy

All Implemented Interfaces:
  Serializable, InvocationHandler

    public class SerializableNClobProxy

extends SerializableClobProxy

Manages aspects of proxying java.sql.NClobs to add serializability.

See Also:
  Serialized Form

Constructor Summary
`protected` | `SerializableNClobProxy(Clob clob)` Builds a serializable `Clob` wrapper around the given `Clob`.

Method Summary
`static Clob` | `generateProxy(Clob clob)` Generates a SerializableClobProxy proxy wrapping the provided Clob object.
`static ClassLoader` | `getProxyClassLoader()` Determines the appropriate class loader to which the generated proxy should be scoped.
`static boolean` | `isNClob(Clob clob)`

Methods inherited from class org.hibernate.engine.jdbc.SerializableClobProxy
`getWrappedClob, invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableNClobProxy

    protected SerializableNClobProxy(Clob clob)

  Builds a serializable `Clob` wrapper around the given `Clob`.

  Parameters:
    `clob` - The `Clob` to be wrapped.
  See Also:
    `generateProxy(java.sql.Clob)`

Method Detail

### isNClob

    public static boolean isNClob(Clob clob)

### generateProxy

    public static Clob generateProxy(Clob clob)

  Generates a SerializableClobProxy proxy wrapping the provided Clob object.

  Parameters:
    `clob` - The Clob to wrap.
  Returns:
    The generated proxy.

### getProxyClassLoader

    public static ClassLoader getProxyClassLoader()

  Determines the appropriate class loader to which the generated proxy should be scoped.

  Returns:
    The class loader appropriate for proxy construction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.